Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 587742 - Malformed cmap table in TT font leads to crash [@TcmapUnicodeTable::GetSubtable]
: Malformed cmap table in TT font leads to crash [@TcmapUnicodeTable::GetSubtable]
: verified1.9.2
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- critical (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
: Milan Sreckovic [:milan] (PTO through Oct 23)
Depends on: CVE-2010-3768
Blocks: fuzzing-fonts
  Show dependency treegraph
Reported: 2010-08-16 11:54 PDT by Christoph Diehl [:posidron]
Modified: 2012-05-01 06:50 PDT (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

testccase (62.80 KB, application/zip)
2010-08-16 11:54 PDT, Christoph Diehl [:posidron]
no flags Details
callstack (12.68 KB, text/plain)
2010-08-16 11:54 PDT, Christoph Diehl [:posidron]
no flags Details
callstack-fontbook (26.19 KB, text/plain)
2010-08-16 11:55 PDT, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2010-08-16 11:54:10 PDT
Created attachment 466382 [details]

Tag: b'cmap' Checksum: 0x0000d510 Offset: 300/0x0000012c Length: 768

Table: b'cmap'
Number of replaced values: 4
Offset:   2/0x000002 Value: ['ff', 'c4', '40', '0f']
Offset:   7/0x000007 Value: ['7f', 'ff', 'ff', 'ff']
Offset: 216/0x0000d8 Value: ['80', '00']
Offset: 486/0x0001e6 Value: ['00', '00', '00', '00', '00', '00', '00', '01']

Note: FontBook is affected to.
Comment 1 Christoph Diehl [:posidron] 2010-08-16 11:54:54 PDT
Created attachment 466383 [details]
Comment 2 Christoph Diehl [:posidron] 2010-08-16 11:55:36 PDT
Created attachment 466384 [details]
Comment 3 Jonathan Kew (:jfkthame) 2010-09-29 06:19:10 PDT
This will be fixed by the OTS sanitizer (bug 527276).
Comment 4 Al Billings [:abillings] 2010-11-18 15:42:30 PST
Verified fixed in with Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6;
en-US; rv: Gecko/20101118 Namoroka/3.6.13pre using testcase. Test
no longer crashes as it does in

Note You need to log in before you can comment on or make changes to this bug.